<?php

use Battles\Template;
use Battles\User;

require_once 'functions.php';
require_once 'classes/quests_class.php';

$qEndNow = $_GET['end_qst_now'] ?? null;
$qEnd = $_GET['end_qst'] ?? null;

if ($qEndNow) {
    $q->endq((int)$_GET['end_qst_now'], 'end', $user);
}

if ($qEnd) {
    $q->winqst((int)$_GET['end_qst'], $user);
}

$qsee = '';
$qx = 0;
$error = '';

Template::header('module_quest');
?>
<link rel="stylesheet" href="css/hostel.css"/>
<?php
$sp = db::c()->query('SELECT `vars` FROM `actions` WHERE `vars` LIKE "?S" AND `vals` = "?s" AND `uid` = ?i LIMIT 100', "%start_quest%", "go", User::getInstance()->getId());
while ($pl = $sp->fetch_assoc()) {
    $questId = str_replace('start_quest', '', $pl['vars']);
    $pq = db::c()->query('SELECT `id`,`name`,`info` FROM `quests` WHERE `id` = ?i', $questId)->fetch_assoc();
    $qsee .= sprintf('<a href="?end_qst_now=%s"><img src="/i/clear.gif" title="Отказаться от задания"></a> <b>%s</b><span style="float: right;"><a href="?end_qst=%s">Выполнить</a></span><div style="padding-left: 15px; padding-bottom: 5px; border-bottom: 1px solid grey;"><small>%s<br>$s</small></div><br>', $pq['id'], $pq['name'], $pq['id'], $pq['info'], $q->info($pq, User::getInstance()->getId()));
    $qx++;
}

if (!$qsee) {
    $qsee = 'У вас нет заданий.';
}
if ($q->error) {
    $error = $q->error;
}
?>

<div class="contentContainer">
    <div style="text-align: center; padding-top: 3px;"><span
                class="hs">Состояние персонажа, <?= $user['login']; ?></span></div>
    <div class="buttonContainer">
        <input type="button" class="btns button-route" value="Вернуться" onclick="location.href='main.php';"/>
        <input type="button" class="btns button-route" value="Обновить" onclick="location.href='module_quest.php';"/>
    </div>
    <?php if ($error) {
        err($error);
    } ?>
    <div class="quest_target_container" style="padding-top: 15px;">
        <?= $qsee ?>
    </div>
</div>